//---------------------------------------------RAD SUBS------------------------------------------------------------------------------------------------------
void onRadiation()
{
  // Output classic geiger counter tick noise.
  leds[0] = CRGB(0,250,0); FastLED.show(); //COLOR pixel high
  playTone(200, 60);
  leds[0] = CRGB(0,5,0); FastLED.show(); //COLOR pixel low
  tft.setTextSize(2);
  tft.setCursor(25,155);
  tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
  //tft.println("LAST GAMMA DETECTED");
  tft.setCursor(25,175);
  tft.print(radiationWatch.uSvh());
  tft.print(" uSv/h +/- ");
  //tft.setCursor(25,195);
  tft.print(radiationWatch.uSvhError());

  RadPulse = 1;
  RadStr = (radiationWatch.uSvh()*100);
  RadError = (radiationWatch.uSvhError()*100);

  
}

void onNoise()
{
  tft.setTextSize(2);
  tft.setCursor(25,155);
  tft.setTextColor(ILI9341_GREEN, ILI9341_BLACK);
  tft.println("Argh, noise, please stop moving");
}
